Skip to content

Update Bank Account

Updates an existing bank or cash account

View as Markdown

PUT /v1/accounts/{id}

Needs an API key with the update scope.

Path parameters

  • id string Required

Body parameters

  • name string

    Account name

  • iban string

    IBAN of this bank account.

  • currency string

    3-letter currency code for the account.

  • openingBalance number

    Opening Balance to start with an existing account. It should be a decimal number with 2 decimal points. eg. 1059.34

Returns

The account as saved.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).